AOZ Studio Beta - Bug #688

When a function is called right after a Print statement, the F5 help picks up Print instead of the
function.

03/09/2021 02:03 PM - Brian Flanagan

Status: Feedback Start date: 03/09/2021
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 1:00 hour

Target version:

Affected version: 1.0.0 (B5)

Description
For example:

Do
Locate 0,0
Print jUp(0), jDown(0), jLeft (0), jRight (0),Fire (0)
Print Joy (0)
Wait Vbl
Loop

If we click the mouse on Joy then hit F5, it will come up with the help for Print instead of Joy(0).
If | add a second ,Joy(0) immediately after, the lookup for the Joy() command works properly.

History

#1 - 03/19/2021 09:19 PM - Brian Flanagan
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B5)

Re-tested this in 1.0.0 (B5). Problem still exists.

#2 - 04/06/2021 04:33 PM - Francois Lionet
- Status changed from New to Feedback

- Assignee set to Baptiste Bideaux

| have assigned this bug to you BB as | think it could be solved by intercepting keyvboard events when running in the Viewer.

If a more elegant solution like the "bubble" indicator of events in the runtime, please explain to me how to do it, | will re-assign to me, correct, and
finally understand the mechanism...

Always very fuzzy to me... ;)
